GNU bug report logs - #14030
24.3; expand-file-name expands remote file name on Windows incorrectly

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Vida Gábor <vidagabor@HIDDEN>; dated Fri, 22 Mar 2013 15:21:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 14030 <at> debbugs.gnu.org:


Received: (at 14030) by debbugs.gnu.org; 27 Mar 2013 07:01:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 27 03:01:41 2013
Received: from localhost ([127.0.0.1]:46808 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UKkMf-0004Uk-0m
	for submit <at> debbugs.gnu.org; Wed, 27 Mar 2013 03:01:41 -0400
Received: from mtaout23.012.net.il ([80.179.55.175]:61880)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1UKkMc-0004Ub-8U
	for 14030 <at> debbugs.gnu.org; Wed, 27 Mar 2013 03:01:39 -0400
Received: from conversion-daemon.a-mtaout23.012.net.il by
	a-mtaout23.012.net.il (HyperSendmail v2007.08) id
	<0MKB00I004M7MS00@HIDDEN> for
	14030 <at> debbugs.gnu.org; Wed, 27 Mar 2013 08:58:51 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout23.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0MKB00IYH4Q2JH20@HIDDEN>;
	Wed, 27 Mar 2013 08:58:50 +0200 (IST)
Date: Wed, 27 Mar 2013 08:59:05 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14030: 24.3;
	expand-file-name expands remote file name on Windows incorrectly
In-reply-to: <jwv7gktful9.fsf-monnier+emacs@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Stefan Monnier <monnier@HIDDEN>
Message-id: <83vc8dxr9i.fsf@HIDDEN>
References: <kod0ip4jbh0m.fsf@HIDDEN> <83vc8j4e3d.fsf@HIDDEN>
	<87li9e5n66.fsf@HIDDEN> <83y5dd3lxk.fsf@HIDDEN>
	<87ehf56bmb.fsf@HIDDEN> <83r4j43hiz.fsf@HIDDEN>
	<87620g67df.fsf@HIDDEN> <83mwts3dm9.fsf@HIDDEN>
	<877gkwfy3j.fsf@HIDDEN> <83li9c38m7.fsf@HIDDEN>
	<8738vjri4o.fsf@HIDDEN> <85mwtp8zxa.fsf@HIDDEN>
	<jwv7gktful9.fsf-monnier+emacs@HIDDEN>
X-Spam-Score: -1.2 (-)
X-Debbugs-Envelope-To: 14030
Cc: michael.albinus@HIDDEN, wjenkner@HIDDEN, 14030 <at> debbugs.gnu.org,
	vidagabor@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> From: Stefan Monnier <monnier@HIDDEN>
> Date: Tue, 26 Mar 2013 22:24:46 -0400
> Cc: 14030 <at> debbugs.gnu.org, Michael Albinus <michael.albinus@HIDDEN>,
> 	vidagabor@HIDDEN
> 
> > +(eval-when-compile
> > +  ;; Prevent the compiler from inlining the symbol's function
> > +  ;; definition, which depends on the load-time `system-type', see
> > +  ;; bug#14030.
> > +  (fmakunbound 'tramp-drop-volume-letter)
> > +  (declare-function tramp-drop-volume-letter "tramp" (name)))
>  
> Yuck!

Exactly my reaction.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14030; Package emacs. Full text available.

Message received at 14030 <at> debbugs.gnu.org:


Received: (at 14030) by debbugs.gnu.org; 27 Mar 2013 02:27:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 26 22:27:11 2013
Received: from localhost ([127.0.0.1]:46625 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UKg50-00068n-Qc
	for submit <at> debbugs.gnu.org; Tue, 26 Mar 2013 22:27:11 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:61801)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1UKg4z-00068g-Dz
	for 14030 <at> debbugs.gnu.org; Tue, 26 Mar 2013 22:27:09 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Av4EABK/CFFFxLSu/2dsb2JhbABEvw4Xc4IfAQVWIxALDiYSFBgNEAETiCSxH5AOkQoDpHqBXoMT
X-IPAS-Result: Av4EABK/CFFFxLSu/2dsb2JhbABEvw4Xc4IfAQVWIxALDiYSFBgNEAETiCSxH5AOkQoDpHqBXoMT
X-IronPort-AV: E=Sophos;i="4.84,565,1355115600"; 
   d="scan'208";a="5878701"
Received: from 69-196-180-174.dsl.teksavvy.com (HELO pastel.home)
	([69.196.180.174])
	by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
	26 Mar 2013 22:24:44 -0400
Received: by pastel.home (Postfix, from userid 20848)
	id 524CD6789F; Tue, 26 Mar 2013 22:24:46 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Wolfgang Jenkner <wjenkner@HIDDEN>
Subject: Re: bug#14030: 24.3;
	expand-file-name expands remote file name on Windows incorrectly
Message-ID: <jwv7gktful9.fsf-monnier+emacs@HIDDEN>
References: <kod0ip4jbh0m.fsf@HIDDEN> <83vc8j4e3d.fsf@HIDDEN>
	<87li9e5n66.fsf@HIDDEN> <83y5dd3lxk.fsf@HIDDEN>
	<87ehf56bmb.fsf@HIDDEN> <83r4j43hiz.fsf@HIDDEN>
	<87620g67df.fsf@HIDDEN> <83mwts3dm9.fsf@HIDDEN>
	<877gkwfy3j.fsf@HIDDEN> <83li9c38m7.fsf@HIDDEN>
	<8738vjri4o.fsf@HIDDEN> <85mwtp8zxa.fsf@HIDDEN>
Date: Tue, 26 Mar 2013 22:24:46 -0400
In-Reply-To: <85mwtp8zxa.fsf@HIDDEN> (Wolfgang Jenkner's message of
	"Wed, 27 Mar 2013 01:11:13 +0100")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 14030
Cc: 14030 <at> debbugs.gnu.org, vidagabor@HIDDEN,
	Michael Albinus <michael.albinus@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

> +(eval-when-compile
> +  ;; Prevent the compiler from inlining the symbol's function
> +  ;; definition, which depends on the load-time `system-type', see
> +  ;; bug#14030.
> +  (fmakunbound 'tramp-drop-volume-letter)
> +  (declare-function tramp-drop-volume-letter "tramp" (name)))
 
Yuck!


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14030; Package emacs. Full text available.

Message received at 14030 <at> debbugs.gnu.org:


Received: (at 14030) by debbugs.gnu.org; 27 Mar 2013 00:13:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 26 20:13:41 2013
Received: from localhost ([127.0.0.1]:46545 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UKdzp-0002ty-0i
	for submit <at> debbugs.gnu.org; Tue, 26 Mar 2013 20:13:41 -0400
Received: from mx02.lb01.inode.at ([62.99.145.2]:13118 helo=mx.inode.at)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <xdsl0000474440@HIDDEN>) id 1UKdzl-0002tq-F6
	for 14030 <at> debbugs.gnu.org; Tue, 26 Mar 2013 20:13:38 -0400
Received: from [91.119.51.106] (port=12473 helo=iznogoud.viz)
	by smartmx-02.inode.at with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
	(Exim 4.69) (envelope-from <xdsl0000474440@HIDDEN>)
	id 1UKdxT-00086C-Br; Wed, 27 Mar 2013 01:11:15 +0100
Received: from wolfgang by iznogoud.viz with local (Exim 4.80.1 (FreeBSD))
	(envelope-from <wolfgang@HIDDEN>)
	id 1UKdxR-0000Nr-Ep; Wed, 27 Mar 2013 01:11:13 +0100
From: Wolfgang Jenkner <wjenkner@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#14030: 24.3;
	expand-file-name expands remote file name on Windows incorrectly
References: <kod0ip4jbh0m.fsf@HIDDEN> <83vc8j4e3d.fsf@HIDDEN>
	<87li9e5n66.fsf@HIDDEN> <83y5dd3lxk.fsf@HIDDEN>
	<87ehf56bmb.fsf@HIDDEN> <83r4j43hiz.fsf@HIDDEN>
	<87620g67df.fsf@HIDDEN> <83mwts3dm9.fsf@HIDDEN>
	<877gkwfy3j.fsf@HIDDEN> <83li9c38m7.fsf@HIDDEN>
	<8738vjri4o.fsf@HIDDEN>
Date: Wed, 27 Mar 2013 01:11:13 +0100
In-Reply-To: <8738vjri4o.fsf@HIDDEN> (Michael Albinus's message of "Mon, 25
	Mar 2013 09:36:07 +0100")
Message-ID: <85mwtp8zxa.fsf@HIDDEN>
User-Agent: Gnus/5.130006 (Ma Gnus v0.6) Emacs/24.3.50 (berkeley-unix)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -3.2 (---)
X-Debbugs-Envelope-To: 14030
Cc: Eli Zaretskii <eliz@HIDDEN>, vidagabor@HIDDEN, 14030 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.2 (---)

On Mon, Mar 25 2013, Michael Albinus wrote:

> I have the impression, that there is a byte-compiler optimization, which
> throws away the call of `tramp-drop-volume-letter' in
> `tramp-sh-handle-expand-file-name'. As I have said earlier,
> (tramp-drop-volume-letter "c:/something") still works correctly.
>
> How could I avoid this eager optimization?

Perhaps like this?

Wolfgang

diff --git a/lisp/net/tramp-sh.el b/lisp/net/tramp-sh.el
index e63acb6..0e4117a 100644
--- a/lisp/net/tramp-sh.el
+++ b/lisp/net/tramp-sh.el
@@ -28,6 +28,12 @@
 
 (eval-when-compile (require 'cl))	; ignore-errors
 (require 'tramp)
+(eval-when-compile
+  ;; Prevent the compiler from inlining the symbol's function
+  ;; definition, which depends on the load-time `system-type', see
+  ;; bug#14030.
+  (fmakunbound 'tramp-drop-volume-letter)
+  (declare-function tramp-drop-volume-letter "tramp" (name)))
 
 ;; Pacify byte-compiler.  The function is needed on XEmacs only.  I'm
 ;; not sure at all that this is the right way to do it, but let's hope





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14030; Package emacs. Full text available.

Message received at 14030 <at> debbugs.gnu.org:


Received: (at 14030) by debbugs.gnu.org; 26 Mar 2013 06:13:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 26 02:13:43 2013
Received: from localhost ([127.0.0.1]:45477 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UKN8h-0007hm-Cw
	for submit <at> debbugs.gnu.org; Tue, 26 Mar 2013 02:13:43 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:42575)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1UKN8e-0007hb-1M
	for 14030 <at> debbugs.gnu.org; Tue, 26 Mar 2013 02:13:41 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
	a-mtaout22.012.net.il (HyperSendmail v2007.08) id
	<0MK9008007RT0G00@HIDDEN> for
	14030 <at> debbugs.gnu.org; Tue, 26 Mar 2013 08:10:51 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0MK9007OH7U3SV50@HIDDEN>;
	Tue, 26 Mar 2013 08:10:51 +0200 (IST)
Date: Tue, 26 Mar 2013 08:11:03 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14030: 24.3;
	expand-file-name expands remote file name on Windows incorrectly
In-reply-to: <jwvtxnzj9jt.fsf-monnier+emacs@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Stefan Monnier <monnier@HIDDEN>
Message-id: <8338vi1yiw.fsf@HIDDEN>
References: <kod0ip4jbh0m.fsf@HIDDEN> <83vc8j4e3d.fsf@HIDDEN>
	<87li9e5n66.fsf@HIDDEN> <83y5dd3lxk.fsf@HIDDEN>
	<87ehf56bmb.fsf@HIDDEN> <83r4j43hiz.fsf@HIDDEN>
	<87620g67df.fsf@HIDDEN> <83mwts3dm9.fsf@HIDDEN>
	<jwvfvzjmu60.fsf-monnier+emacs@HIDDEN>
	<jwvsj3jl3ok.fsf-monnier+emacs@HIDDEN> <83ehf31aq3.fsf@HIDDEN>
	<jwvtxnzj9jt.fsf-monnier+emacs@HIDDEN>
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 14030
Cc: 14030 <at> debbugs.gnu.org, vidagabor@HIDDEN, michael.albinus@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> From: Stefan Monnier <monnier@HIDDEN>
> Cc: michael.albinus@HIDDEN,  vidagabor@HIDDEN,  14030 <at> debbugs.gnu.org
> Date: Mon, 25 Mar 2013 20:23:41 -0400
> 
> >> So your alias to `identity' is optimized just like `identity', IOW it's
> >> compiled away.
> > Can the optimizer be taught not to optimize like that if the condition
> > includes one of a list of known symbols?
> 
> The byte-compiler does not look at the `defalias' expression, only at
> the resulting value of (symbol-function 'tramp-drop-volume-letter), so
> it would require significant changes to be able to keep track of the
> corresponding info.  Also, `defalias' is a function, so by the time it
> is called it has no idea what expression was computed to get the
> function definition.

Too bad.  Maybe there are other ways to avoid inadvertently producing
platform-dependent byte code, or at least warn about its possibility.
Otherwise, we are at the mercy of our less than perfect attention, and
these incidents will surely happen again.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14030; Package emacs. Full text available.

Message received at 14030 <at> debbugs.gnu.org:


Received: (at 14030) by debbugs.gnu.org; 26 Mar 2013 00:40:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 25 20:40:43 2013
Received: from localhost ([127.0.0.1]:45240 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UKHwP-0007s9-Jo
	for submit <at> debbugs.gnu.org; Mon, 25 Mar 2013 20:40:42 -0400
Received: from mx16.lb01.inode.at ([62.99.145.18]:39747 helo=mx.inode.at)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <xdsl0000474440@HIDDEN>) id 1UKHw8-0007rQ-MT
	for 14030 <at> debbugs.gnu.org; Mon, 25 Mar 2013 20:40:29 -0400
Received: from [91.119.51.106] (port=11940 helo=iznogoud.viz)
	by smartmx-16.inode.at with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
	(Exim 4.69) (envelope-from <xdsl0000474440@HIDDEN>)
	id 1UKHtv-0007Wh-OL; Tue, 26 Mar 2013 01:38:07 +0100
Received: from wolfgang by iznogoud.viz with local (Exim 4.80.1 (FreeBSD))
	(envelope-from <wolfgang@HIDDEN>)
	id 1UKHtu-0000bt-2L; Tue, 26 Mar 2013 01:38:06 +0100
From: Wolfgang Jenkner <wjenkner@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#14030: 24.3;
	expand-file-name expands remote file name on Windows incorrectly
Date: Tue, 26 Mar 2013 01:35:20 +0100
References: <kod0ip4jbh0m.fsf@HIDDEN> <83vc8j4e3d.fsf@HIDDEN>
	<87li9e5n66.fsf@HIDDEN> <83y5dd3lxk.fsf@HIDDEN>
	<87ehf56bmb.fsf@HIDDEN> <83r4j43hiz.fsf@HIDDEN>
	<87620g67df.fsf@HIDDEN> <83mwts3dm9.fsf@HIDDEN>
	<877gkwfy3j.fsf@HIDDEN>
Message-ID: <85hajzov0y.fsf@HIDDEN>
User-Agent: Gnus/5.130006 (Ma Gnus v0.6) Emacs/24.3.50 (berkeley-unix)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 14030
Cc: Eli Zaretskii <eliz@HIDDEN>, vidagabor@HIDDEN, 14030 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.2 (---)

On Sun, Mar 24 2013, Michael Albinus wrote:

> The problem seems to be, that defalias is evaled during
> byte-compilation.

I think it's eval'ed when compiling tramp-sh because there's a
(require 'tramp) form there, see (info "(elisp)Compilation Functions"),
so this has nothing to do with defalias:

[1 /tmp/lisp]$ cat foo.el
(message "Hi! I'm being evalled.")
(provide 'foo)
[2 /tmp/lisp]$ cat bar.el
(require 'foo)
[3 /tmp/lisp]$ emacs --batch -Q -L . -f batch-byte-compile foo.el
Wrote /tmp/lisp/foo.elc
[4 /tmp/lisp]$ emacs --batch -Q -L . -f batch-byte-compile bar.el
Hi! I'm being evalled.
Wrote /tmp/lisp/bar.elc
[5 /tmp/lisp]$

Wolfgang




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14030; Package emacs. Full text available.

Message received at 14030 <at> debbugs.gnu.org:


Received: (at 14030) by debbugs.gnu.org; 26 Mar 2013 00:26:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 25 20:26:00 2013
Received: from localhost ([127.0.0.1]:45200 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UKHiC-0007ST-7b
	for submit <at> debbugs.gnu.org; Mon, 25 Mar 2013 20:26:00 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:36886)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1UKHiA-0007SM-Ge
	for 14030 <at> debbugs.gnu.org; Mon, 25 Mar 2013 20:25:58 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Av4EABK/CFFFxLSu/2dsb2JhbAA7Cb8OF3OCHgEBBAFWIxALNBIUGA0QAROIHgbBLY0Wg3QDpHqBXoMT
X-IPAS-Result: Av4EABK/CFFFxLSu/2dsb2JhbAA7Cb8OF3OCHgEBBAFWIxALNBIUGA0QAROIHgbBLY0Wg3QDpHqBXoMT
X-IronPort-AV: E=Sophos;i="4.84,565,1355115600"; 
   d="scan'208";a="5768757"
Received: from 69-196-180-174.dsl.teksavvy.com (HELO pastel.home)
	([69.196.180.174])
	by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
	25 Mar 2013 20:23:39 -0400
Received: by pastel.home (Postfix, from userid 20848)
	id 4EEAB67AC0; Mon, 25 Mar 2013 20:23:41 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14030: 24.3;
	expand-file-name expands remote file name on Windows incorrectly
Message-ID: <jwvtxnzj9jt.fsf-monnier+emacs@HIDDEN>
References: <kod0ip4jbh0m.fsf@HIDDEN> <83vc8j4e3d.fsf@HIDDEN>
	<87li9e5n66.fsf@HIDDEN> <83y5dd3lxk.fsf@HIDDEN>
	<87ehf56bmb.fsf@HIDDEN> <83r4j43hiz.fsf@HIDDEN>
	<87620g67df.fsf@HIDDEN> <83mwts3dm9.fsf@HIDDEN>
	<jwvfvzjmu60.fsf-monnier+emacs@HIDDEN>
	<jwvsj3jl3ok.fsf-monnier+emacs@HIDDEN> <83ehf31aq3.fsf@HIDDEN>
Date: Mon, 25 Mar 2013 20:23:41 -0400
In-Reply-To: <83ehf31aq3.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 25 Mar
	2013 22:32:52 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 14030
Cc: 14030 <at> debbugs.gnu.org, vidagabor@HIDDEN, michael.albinus@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

>> So your alias to `identity' is optimized just like `identity', IOW it's
>> compiled away.
> Can the optimizer be taught not to optimize like that if the condition
> includes one of a list of known symbols?

The byte-compiler does not look at the `defalias' expression, only at
the resulting value of (symbol-function 'tramp-drop-volume-letter), so
it would require significant changes to be able to keep track of the
corresponding info.  Also, `defalias' is a function, so by the time it
is called it has no idea what expression was computed to get the
function definition.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14030; Package emacs. Full text available.

Message received at 14030 <at> debbugs.gnu.org:


Received: (at 14030) by debbugs.gnu.org; 25 Mar 2013 20:35:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 25 16:35:01 2013
Received: from localhost ([127.0.0.1]:45078 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UKE6e-0001ZM-Ju
	for submit <at> debbugs.gnu.org; Mon, 25 Mar 2013 16:35:00 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:41520)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1UKE6c-0001ZA-AO
	for 14030 <at> debbugs.gnu.org; Mon, 25 Mar 2013 16:34:59 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
	a-mtaout22.012.net.il (HyperSendmail v2007.08) id
	<0MK800300GYY2D00@HIDDEN> for
	14030 <at> debbugs.gnu.org; Mon, 25 Mar 2013 22:32:41 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0MK8002L9H2HD9F0@HIDDEN>;
	Mon, 25 Mar 2013 22:32:41 +0200 (IST)
Date: Mon, 25 Mar 2013 22:32:52 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14030: 24.3;
	expand-file-name expands remote file name on Windows incorrectly
In-reply-to: <jwvsj3jl3ok.fsf-monnier+emacs@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Stefan Monnier <monnier@HIDDEN>
Message-id: <83ehf31aq3.fsf@HIDDEN>
References: <kod0ip4jbh0m.fsf@HIDDEN> <83vc8j4e3d.fsf@HIDDEN>
	<87li9e5n66.fsf@HIDDEN> <83y5dd3lxk.fsf@HIDDEN>
	<87ehf56bmb.fsf@HIDDEN> <83r4j43hiz.fsf@HIDDEN>
	<87620g67df.fsf@HIDDEN> <83mwts3dm9.fsf@HIDDEN>
	<jwvfvzjmu60.fsf-monnier+emacs@HIDDEN>
	<jwvsj3jl3ok.fsf-monnier+emacs@HIDDEN>
X-Spam-Score: -1.2 (-)
X-Debbugs-Envelope-To: 14030
Cc: 14030 <at> debbugs.gnu.org, vidagabor@HIDDEN, michael.albinus@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> From: Stefan Monnier <monnier@HIDDEN>
> Cc: Michael Albinus <michael.albinus@HIDDEN>,  vidagabor@HIDDEN,  14030 <at> debbugs.gnu.org
> Date: Mon, 25 Mar 2013 14:49:49 -0400
> 
> >> Sorry, but I think this is a grave bug.
> > Agreed, but it might be in the byte-compiler rather than in Tramp.
> > At least, nowhere does Tramp seem to request that
> > tramp-drop-volume-letter be inlined, so the call should stay in.
> 
> I think I know what's going on:
> The byte-compiler now optimizes aliases to a function in the same way as
> that function (so if you alias `my-add' to `+', (my-add 5 6) can be
> optimized to 11 as well).
> 
> So your alias to `identity' is optimized just like `identity', IOW it's
> compiled away.

Can the optimizer be taught not to optimize like that if the condition
includes one of a list of known symbols?  Then we could maintain a
list of platform-dependent symbols whose optimization could lead to
platform-dependent .elc files.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14030; Package emacs. Full text available.

Message received at 14030 <at> debbugs.gnu.org:


Received: (at 14030) by debbugs.gnu.org; 25 Mar 2013 19:30:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 25 15:30:27 2013
Received: from localhost ([127.0.0.1]:45056 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UKD6A-0008Ov-Od
	for submit <at> debbugs.gnu.org; Mon, 25 Mar 2013 15:30:27 -0400
Received: from mout.gmx.net ([212.227.17.20]:63505)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <michael.albinus@HIDDEN>) id 1UKD68-0008Ol-Cc
	for 14030 <at> debbugs.gnu.org; Mon, 25 Mar 2013 15:30:25 -0400
Received: from mailout-de.gmx.net ([10.1.76.4]) by mrigmx.server.lan
	(mrigmx001) with ESMTP (Nemesis) id 0M6hJq-1UYSAG1mCq-00wUAz for
	<14030 <at> debbugs.gnu.org>; Mon, 25 Mar 2013 20:28:08 +0100
Received: (qmail invoked by alias); 25 Mar 2013 19:28:07 -0000
Received: from p57BB99D8.dip0.t-ipconnect.de (EHLO detlef.gmx.de)
	[87.187.153.216]
	by mail.gmx.net (mp004) with SMTP; 25 Mar 2013 20:28:07 +0100
X-Authenticated: #3708877
X-Provags-ID: V01U2FsdGVkX18UKslZEicUkswuBt5FKGLtfaV4OgugfqSvrImXXy
	tIwIWlQ+IRzqeE
From: Michael Albinus <michael.albinus@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#14030: 24.3;
	expand-file-name expands remote file name on Windows incorrectly
References: <kod0ip4jbh0m.fsf@HIDDEN> <83vc8j4e3d.fsf@HIDDEN>
	<87li9e5n66.fsf@HIDDEN> <83y5dd3lxk.fsf@HIDDEN>
	<87ehf56bmb.fsf@HIDDEN> <83r4j43hiz.fsf@HIDDEN>
	<87620g67df.fsf@HIDDEN> <83mwts3dm9.fsf@HIDDEN>
	<jwvfvzjmu60.fsf-monnier+emacs@HIDDEN>
	<jwvsj3jl3ok.fsf-monnier+emacs@HIDDEN>
Date: Mon, 25 Mar 2013 20:28:03 +0100
In-Reply-To: <jwvsj3jl3ok.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
	of "Mon, 25 Mar 2013 14:49:49 -0400")
Message-ID: <87wqsv2sak.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Y-GMX-Trusted: 0
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 14030
Cc: Eli Zaretskii <eliz@HIDDEN>, vidagabor@HIDDEN, 14030 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

Stefan Monnier <monnier@HIDDEN> writes:

> This was made on purpose, because it's annoyingly difficult to define
> such "optimized alias" without it.
> One way around it is to use (lambda (x) x) instead of `identity'.

I have thrown away the alias in tramp.el, using an ordinary defun as
suggested by Eli.

However, it shall be documented somewhere that there's such an
optimization trap now with defalias.

>         Stefan

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14030; Package emacs. Full text available.

Message received at 14030 <at> debbugs.gnu.org:


Received: (at 14030) by debbugs.gnu.org; 25 Mar 2013 18:52:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 25 14:52:07 2013
Received: from localhost ([127.0.0.1]:45026 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UKCV5-00079P-H1
	for submit <at> debbugs.gnu.org; Mon, 25 Mar 2013 14:52:07 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:37462)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1UKCV2-00079F-UB
	for 14030 <at> debbugs.gnu.org; Mon, 25 Mar 2013 14:52:06 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Av4EABK/CFFFxLSu/2dsb2JhbAA7Cb8OF3OCHgEBBAFWIxALNBIUGA0QAROIHgbBLY0Wg3QDpHqBXoMT
X-IPAS-Result: Av4EABK/CFFFxLSu/2dsb2JhbAA7Cb8OF3OCHgEBBAFWIxALNBIUGA0QAROIHgbBLY0Wg3QDpHqBXoMT
X-IronPort-AV: E=Sophos;i="4.84,565,1355115600"; 
   d="scan'208";a="5744276"
Received: from 69-196-180-174.dsl.teksavvy.com (HELO pastel.home)
	([69.196.180.174])
	by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
	25 Mar 2013 14:49:47 -0400
Received: by pastel.home (Postfix, from userid 20848)
	id 1BCF267AC0; Mon, 25 Mar 2013 14:49:49 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14030: 24.3;
	expand-file-name expands remote file name on Windows incorrectly
Message-ID: <jwvsj3jl3ok.fsf-monnier+emacs@HIDDEN>
References: <kod0ip4jbh0m.fsf@HIDDEN> <83vc8j4e3d.fsf@HIDDEN>
	<87li9e5n66.fsf@HIDDEN> <83y5dd3lxk.fsf@HIDDEN>
	<87ehf56bmb.fsf@HIDDEN> <83r4j43hiz.fsf@HIDDEN>
	<87620g67df.fsf@HIDDEN> <83mwts3dm9.fsf@HIDDEN>
	<jwvfvzjmu60.fsf-monnier+emacs@HIDDEN>
Date: Mon, 25 Mar 2013 14:49:49 -0400
In-Reply-To: <jwvfvzjmu60.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
	of "Mon, 25 Mar 2013 10:28:14 -0400")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 14030
Cc: 14030 <at> debbugs.gnu.org, vidagabor@HIDDEN,
	Michael Albinus <michael.albinus@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

>> Sorry, but I think this is a grave bug.
> Agreed, but it might be in the byte-compiler rather than in Tramp.
> At least, nowhere does Tramp seem to request that
> tramp-drop-volume-letter be inlined, so the call should stay in.

I think I know what's going on:
The byte-compiler now optimizes aliases to a function in the same way as
that function (so if you alias `my-add' to `+', (my-add 5 6) can be
optimized to 11 as well).

So your alias to `identity' is optimized just like `identity', IOW it's
compiled away.

This was made on purpose, because it's annoyingly difficult to define
such "optimized alias" without it.
One way around it is to use (lambda (x) x) instead of `identity'.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14030; Package emacs. Full text available.

Message received at 14030 <at> debbugs.gnu.org:


Received: (at 14030) by debbugs.gnu.org; 25 Mar 2013 14:30:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 25 10:30:30 2013
Received: from localhost ([127.0.0.1]:44804 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UK8Pu-0007cR-MV
	for submit <at> debbugs.gnu.org; Mon, 25 Mar 2013 10:30:30 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:21289)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1UK8Pt-0007cL-Aq
	for 14030 <at> debbugs.gnu.org; Mon, 25 Mar 2013 10:30:29 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Av4EABK/CFFFxLSu/2dsb2JhbABEvw4Xc4IeAQEEAVYjBQsLNBIUGA0QAROIHgbBLZEKA6R6gV6DEw
X-IPAS-Result: Av4EABK/CFFFxLSu/2dsb2JhbABEvw4Xc4IeAQEEAVYjBQsLNBIUGA0QAROIHgbBLZEKA6R6gV6DEw
X-IronPort-AV: E=Sophos;i="4.84,565,1355115600"; 
   d="scan'208";a="5715020"
Received: from 69-196-180-174.dsl.teksavvy.com (HELO pastel.home)
	([69.196.180.174])
	by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
	25 Mar 2013 10:28:12 -0400
Received: by pastel.home (Postfix, from userid 20848)
	id 89970678E2; Mon, 25 Mar 2013 10:28:14 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14030: 24.3;
	expand-file-name expands remote file name on Windows incorrectly
Message-ID: <jwvfvzjmu60.fsf-monnier+emacs@HIDDEN>
References: <kod0ip4jbh0m.fsf@HIDDEN> <83vc8j4e3d.fsf@HIDDEN>
	<87li9e5n66.fsf@HIDDEN> <83y5dd3lxk.fsf@HIDDEN>
	<87ehf56bmb.fsf@HIDDEN> <83r4j43hiz.fsf@HIDDEN>
	<87620g67df.fsf@HIDDEN> <83mwts3dm9.fsf@HIDDEN>
Date: Mon, 25 Mar 2013 10:28:14 -0400
In-Reply-To: <83mwts3dm9.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 24 Mar
	2013 19:35:10 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 14030
Cc: 14030 <at> debbugs.gnu.org, vidagabor@HIDDEN,
	Michael Albinus <michael.albinus@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

> Sorry, but I think this is a grave bug.

Agreed, but it might be in the byte-compiler rather than in Tramp.
At least, nowhere does Tramp seem to request that
tramp-drop-volume-letter be inlined, so the call should stay in.


        Stefan "probably guilty"




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14030; Package emacs. Full text available.

Message received at 14030 <at> debbugs.gnu.org:


Received: (at 14030) by debbugs.gnu.org; 25 Mar 2013 10:08:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 25 06:08:44 2013
Received: from localhost ([127.0.0.1]:44297 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UK4KV-0000Ll-Sq
	for submit <at> debbugs.gnu.org; Mon, 25 Mar 2013 06:08:43 -0400
Received: from mout.gmx.net ([212.227.15.19]:56410)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <michael.albinus@HIDDEN>) id 1UK4KQ-0000LZ-Jt
	for 14030 <at> debbugs.gnu.org; Mon, 25 Mar 2013 06:08:38 -0400
Received: from mailout-de.gmx.net ([10.1.76.1]) by mrigmx.server.lan
	(mrigmx002) with ESMTP (Nemesis) id 0LxZlV-1UjI3D1XQp-017Czs for
	<14030 <at> debbugs.gnu.org>; Mon, 25 Mar 2013 11:06:20 +0100
Received: (qmail invoked by alias); 25 Mar 2013 10:06:19 -0000
Received: from p57BB99D8.dip0.t-ipconnect.de (EHLO detlef.gmx.de)
	[87.187.153.216]
	by mail.gmx.net (mp001) with SMTP; 25 Mar 2013 11:06:19 +0100
X-Authenticated: #3708877
X-Provags-ID: V01U2FsdGVkX18IHtAjdr4I5rqTPgVXwky72WYFaOUEhQMsrx8nNQ
	p9I2WW0rvDT7Y2
From: Michael Albinus <michael.albinus@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14030: 24.3;
	expand-file-name expands remote file name on Windows incorrectly
References: <kod0ip4jbh0m.fsf@HIDDEN> <83vc8j4e3d.fsf@HIDDEN>
	<87li9e5n66.fsf@HIDDEN> <83y5dd3lxk.fsf@HIDDEN>
	<87ehf56bmb.fsf@HIDDEN> <83r4j43hiz.fsf@HIDDEN>
	<87620g67df.fsf@HIDDEN> <83mwts3dm9.fsf@HIDDEN>
	<877gkwfy3j.fsf@HIDDEN> <83li9c38m7.fsf@HIDDEN>
	<8738vjri4o.fsf@HIDDEN> <83620f3lbd.fsf@HIDDEN>
	<87ehf3q1ir.fsf@HIDDEN> <834nfz3ite.fsf@HIDDEN>
Date: Mon, 25 Mar 2013 11:06:15 +0100
In-Reply-To: <834nfz3ite.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 25 Mar
	2013 11:55:09 +0200")
Message-ID: <87y5dbiyjs.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Y-GMX-Trusted: 0
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 14030
Cc: vidagabor@HIDDEN, 14030 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> Shall we put a note somewhere, that tramp-sh.el of Emacs 24.3 needs
>> to be recompiled on MS Windows?
>
> I couldn't think about any proper place.  This discussion is already
> one way to make this issue and its solution known.  But if someone
> comes with suggestions to advertise this in other places, I'm for it.

Maybe <http://ftp.gnu.org/gnu/emacs/windows/README>. Its contents is
shown, when browsing to <http://ftp.gnu.org/gnu/emacs/windows>.

Another place might be <http://www.emacswiki.org/emacs/CategoryWThirtyTwo>.
Many people start to search on emacswiki.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14030; Package emacs. Full text available.

Message received at 14030 <at> debbugs.gnu.org:


Received: (at 14030) by debbugs.gnu.org; 25 Mar 2013 09:57:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 25 05:57:49 2013
Received: from localhost ([127.0.0.1]:44292 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UK4A0-000061-6C
	for submit <at> debbugs.gnu.org; Mon, 25 Mar 2013 05:57:48 -0400
Received: from mtaout23.012.net.il ([80.179.55.175]:45572)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1UK49w-00005q-J4
	for 14030 <at> debbugs.gnu.org; Mon, 25 Mar 2013 05:57:46 -0400
Received: from conversion-daemon.a-mtaout23.012.net.il by
	a-mtaout23.012.net.il (HyperSendmail v2007.08) id
	<0MK700700NC75H00@HIDDEN> for
	14030 <at> debbugs.gnu.org; Mon, 25 Mar 2013 11:54:59 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout23.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0MK7007QXNJN2830@HIDDEN>;
	Mon, 25 Mar 2013 11:54:59 +0200 (IST)
Date: Mon, 25 Mar 2013 11:55:09 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14030: 24.3;
	expand-file-name expands remote file name on Windows incorrectly
In-reply-to: <87ehf3q1ir.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Michael Albinus <michael.albinus@HIDDEN>
Message-id: <834nfz3ite.fsf@HIDDEN>
References: <kod0ip4jbh0m.fsf@HIDDEN> <83vc8j4e3d.fsf@HIDDEN>
	<87li9e5n66.fsf@HIDDEN> <83y5dd3lxk.fsf@HIDDEN>
	<87ehf56bmb.fsf@HIDDEN> <83r4j43hiz.fsf@HIDDEN>
	<87620g67df.fsf@HIDDEN> <83mwts3dm9.fsf@HIDDEN>
	<877gkwfy3j.fsf@HIDDEN> <83li9c38m7.fsf@HIDDEN>
	<8738vjri4o.fsf@HIDDEN> <83620f3lbd.fsf@HIDDEN>
	<87ehf3q1ir.fsf@HIDDEN>
X-Spam-Score: -1.2 (-)
X-Debbugs-Envelope-To: 14030
Cc: vidagabor@HIDDEN, 14030 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> From: Michael Albinus <michael.albinus@HIDDEN>
> Cc: vidagabor@HIDDEN,  14030 <at> debbugs.gnu.org
> Date: Mon, 25 Mar 2013 10:20:12 +0100
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> >> How could I avoid this eager optimization?
> >
> > How about making tramp-drop-volume-letter a simple function?
> 
> For this problem it might be the right thing to do. But we shall
> continue to investigate (Stefan?), because this problem could happen
> elsewhere.

I agree.

> I've committed a respective patch to the emacs-24 branch.

Thanks.

> Shall we put a note somewhere, that tramp-sh.el of Emacs 24.3 needs
> to be recompiled on MS Windows?

I couldn't think about any proper place.  This discussion is already
one way to make this issue and its solution known.  But if someone
comes with suggestions to advertise this in other places, I'm for it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14030; Package emacs. Full text available.

Message received at 14030 <at> debbugs.gnu.org:


Received: (at 14030) by debbugs.gnu.org; 25 Mar 2013 09:28:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 25 05:28:38 2013
Received: from localhost ([127.0.0.1]:44262 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UK3hl-0007s0-OF
	for submit <at> debbugs.gnu.org; Mon, 25 Mar 2013 05:28:37 -0400
Received: from a.relay.invitel.net ([62.77.203.3]:57851)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <vidagabor@HIDDEN>) id 1UK3hj-0007rr-Lk
	for 14030 <at> debbugs.gnu.org; Mon, 25 Mar 2013 05:28:36 -0400
Received: from mail.invitel.hu (mail.invitel.hu [213.163.59.4])
	by a.relay.invitel.net (Invitel Core SMTP Transmitter) with ESMTP id
	7364D11A067; Mon, 25 Mar 2013 10:26:21 +0100 (CET)
Received: from nedu.dyndns.org ([91.82.37.87])
	by mail.invitel.hu (Invitel Messaging Server)
	with ESMTPA id <0MK7005AMM7XV470@HIDDEN>; Mon,
	25 Mar 2013 10:26:21 +0100 (CET)
Received: from E7101F74538EB3 (localhost [127.0.0.1])
	by nedu.dyndns.org (Postfix) with ESMTP id 6B96761DEFB; Mon,
	25 Mar 2013 10:26:20 +0100 (CET)
Date: Mon, 25 Mar 2013 09:53:44 +0100
From: =?utf-8?Q?Vida_G=C3=A1bor?= <vidagabor@HIDDEN>
Subject: Re: bug#14030: 24.3;	expand-file-name expands remote file name on
	Windows incorrectly
In-reply-to: <83ppyo3hhn.fsf@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Message-id: <kod0zjxrc12f.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-transfer-encoding: quoted-printable
References: <kod0ip4jbh0m.fsf@HIDDEN> <83ppyo3hhn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3 (windows-nt)
X-Spam-Score: 3.0 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > As a work-around, byte-compile tramp-sh.el on Windows, and
    the problem > will disappear. Thanks Eli, it works. -- Best regards, Gábor
    Vida [...] 
 
 Content analysis details:   (3.0 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (vidagabor[at]gmail.com)
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [62.77.203.3 listed in list.dnswl.org]
  1.3 RCVD_IN_RP_RNBL        RBL: Relay in RNBL,
                             https://senderscore.org/blacklistlookup/
                             [62.77.203.3 listed in bl.score.senderscore.com]
  0.8 SPF_NEUTRAL            SPF: sender does not match SPF record (neutral)
  0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
                             [score: 0.4399]
  0.1 HDRS_LCASE             Odd capitalization of message header
X-Debbugs-Envelope-To: 14030
Cc: 14030 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 1.6 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > As a work-around, byte-compile tramp-sh.el on Windows, and
    the problem > will disappear. Thanks Eli, it works. -- Best regards, Gábor
    Vida [...] 
 
 Content analysis details:   (1.6 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  1.3 RCVD_IN_RP_RNBL        RBL: Relay in RNBL,
                             https://senderscore.org/blacklistlookup/
                             [62.77.203.3 listed in bl.score.senderscore.com]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (vidagabor[at]gmail.com)
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [62.77.203.3 listed in list.dnswl.org]
  0.8 SPF_NEUTRAL            SPF: sender does not match SPF record (neutral)
 -0.5 BAYES_05               BODY: Bayes spam probability is 1 to 5%
                             [score: 0.0415]

> As a work-around, byte-compile tramp-sh.el on Windows, and the problem
> will disappear.

Thanks Eli, it works.

--=20
Best regards,
G=C3=A1bor Vida




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14030; Package emacs. Full text available.

Message received at 14030 <at> debbugs.gnu.org:


Received: (at 14030) by debbugs.gnu.org; 25 Mar 2013 09:22:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 25 05:22:36 2013
Received: from localhost ([127.0.0.1]:44255 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UK3bv-0007jV-Lf
	for submit <at> debbugs.gnu.org; Mon, 25 Mar 2013 05:22:36 -0400
Received: from mout.gmx.net ([212.227.15.18]:49997)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <michael.albinus@HIDDEN>) id 1UK3bt-0007jN-8U
	for 14030 <at> debbugs.gnu.org; Mon, 25 Mar 2013 05:22:34 -0400
Received: from mailout-de.gmx.net ([10.1.76.32]) by mrigmx.server.lan
	(mrigmx001) with ESMTP (Nemesis) id 0LrGyY-1Uo00D1VQi-0139Li for
	<14030 <at> debbugs.gnu.org>; Mon, 25 Mar 2013 10:20:17 +0100
Received: (qmail invoked by alias); 25 Mar 2013 09:20:16 -0000
Received: from p57BB99D8.dip0.t-ipconnect.de (EHLO detlef.gmx.de)
	[87.187.153.216]
	by mail.gmx.net (mp032) with SMTP; 25 Mar 2013 10:20:16 +0100
X-Authenticated: #3708877
X-Provags-ID: V01U2FsdGVkX1/1ONwu7wj1GEbDELmElGBlPPQ1OI8FKrkqxMqbTj
	z04AG4gpW8ZnVy
From: Michael Albinus <michael.albinus@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14030: 24.3;
	expand-file-name expands remote file name on Windows incorrectly
References: <kod0ip4jbh0m.fsf@HIDDEN> <83vc8j4e3d.fsf@HIDDEN>
	<87li9e5n66.fsf@HIDDEN> <83y5dd3lxk.fsf@HIDDEN>
	<87ehf56bmb.fsf@HIDDEN> <83r4j43hiz.fsf@HIDDEN>
	<87620g67df.fsf@HIDDEN> <83mwts3dm9.fsf@HIDDEN>
	<877gkwfy3j.fsf@HIDDEN> <83li9c38m7.fsf@HIDDEN>
	<8738vjri4o.fsf@HIDDEN> <83620f3lbd.fsf@HIDDEN>
Date: Mon, 25 Mar 2013 10:20:12 +0100
Message-ID: <87ehf3q1ir.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Y-GMX-Trusted: 0
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 14030
Cc: vidagabor@HIDDEN, 14030 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> How could I avoid this eager optimization?
>
> How about making tramp-drop-volume-letter a simple function?

For this problem it might be the right thing to do. But we shall
continue to investigate (Stefan?), because this problem could happen
elsewhere.

I've committed a respective patch to the emacs-24 branch.  Shall we put
a note somewhere, that tramp-sh.el of Emacs 24.3 needs to be recompiled
on MS Windows?

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14030; Package emacs. Full text available.

Message received at 14030 <at> debbugs.gnu.org:


Received: (at 14030) by debbugs.gnu.org; 25 Mar 2013 09:03:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 25 05:03:37 2013
Received: from localhost ([127.0.0.1]:44234 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UK3JY-0007J9-Om
	for submit <at> debbugs.gnu.org; Mon, 25 Mar 2013 05:03:37 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:53292)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1UK3JU-0007Iz-NO
	for 14030 <at> debbugs.gnu.org; Mon, 25 Mar 2013 05:03:34 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
	a-mtaout20.012.net.il (HyperSendmail v2007.08) id
	<0MK700800L0C9X00@HIDDEN> for
	14030 <at> debbugs.gnu.org; Mon, 25 Mar 2013 11:01:01 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0MK700863L1O9O10@HIDDEN>;
	Mon, 25 Mar 2013 11:01:00 +0200 (IST)
Date: Mon, 25 Mar 2013 11:01:10 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14030: 24.3;
	expand-file-name expands remote file name on Windows incorrectly
In-reply-to: <8738vjri4o.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Michael Albinus <michael.albinus@HIDDEN>
Message-id: <83620f3lbd.fsf@HIDDEN>
References: <kod0ip4jbh0m.fsf@HIDDEN> <83vc8j4e3d.fsf@HIDDEN>
	<87li9e5n66.fsf@HIDDEN> <83y5dd3lxk.fsf@HIDDEN>
	<87ehf56bmb.fsf@HIDDEN> <83r4j43hiz.fsf@HIDDEN>
	<87620g67df.fsf@HIDDEN> <83mwts3dm9.fsf@HIDDEN>
	<877gkwfy3j.fsf@HIDDEN> <83li9c38m7.fsf@HIDDEN>
	<8738vjri4o.fsf@HIDDEN>
X-Spam-Score: -1.2 (-)
X-Debbugs-Envelope-To: 14030
Cc: vidagabor@HIDDEN, 14030 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> From: Michael Albinus <michael.albinus@HIDDEN>
> Cc: vidagabor@HIDDEN,  14030 <at> debbugs.gnu.org
> Date: Mon, 25 Mar 2013 09:36:07 +0100
> 
> Well. I have reverted the change of `tramp-drop-volume-letter' to the
> definition as it has been before the change in #105625. Compiled
> tramp.el and tramp-sh.el on GNU/Linux. Copied the resulting tramp.elc
> and tramp-sh.elc into the Emacs 24.3 tree on MS Windows. The problem
> persists.

Revision 105625 cannot be the culprit, because it was done well before
Emacs 24.2 (which doesn't have the problem) was released.  It's got to
be something in the byte compiler.

> I have the impression, that there is a byte-compiler optimization, which
> throws away the call of `tramp-drop-volume-letter' in
> `tramp-sh-handle-expand-file-name'. As I have said earlier,
> (tramp-drop-volume-letter "c:/something") still works correctly.
> 
> How could I avoid this eager optimization?

How about making tramp-drop-volume-letter a simple function?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14030; Package emacs. Full text available.

Message received at 14030 <at> debbugs.gnu.org:


Received: (at 14030) by debbugs.gnu.org; 25 Mar 2013 08:38:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 25 04:38:28 2013
Received: from localhost ([127.0.0.1]:44209 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UK2vD-0006hu-EC
	for submit <at> debbugs.gnu.org; Mon, 25 Mar 2013 04:38:28 -0400
Received: from mout.gmx.net ([212.227.17.20]:61683)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <michael.albinus@HIDDEN>) id 1UK2vB-0006hn-59
	for 14030 <at> debbugs.gnu.org; Mon, 25 Mar 2013 04:38:26 -0400
Received: from mailout-de.gmx.net ([10.1.76.29]) by mrigmx.server.lan
	(mrigmx002) with ESMTP (Nemesis) id 0MMZH6-1UJVBN1Kik-008LBb for
	<14030 <at> debbugs.gnu.org>; Mon, 25 Mar 2013 09:36:11 +0100
Received: (qmail invoked by alias); 25 Mar 2013 08:36:10 -0000
Received: from p57BB99D8.dip0.t-ipconnect.de (EHLO detlef.gmx.de)
	[87.187.153.216]
	by mail.gmx.net (mp029) with SMTP; 25 Mar 2013 09:36:10 +0100
X-Authenticated: #3708877
X-Provags-ID: V01U2FsdGVkX19YmekzIZJYBTxmO0HZaN9wnqrvLClTQ7LqUl20yD
	c9lHWdwq9ueNoa
From: Michael Albinus <michael.albinus@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14030: 24.3;
	expand-file-name expands remote file name on Windows incorrectly
References: <kod0ip4jbh0m.fsf@HIDDEN> <83vc8j4e3d.fsf@HIDDEN>
	<87li9e5n66.fsf@HIDDEN> <83y5dd3lxk.fsf@HIDDEN>
	<87ehf56bmb.fsf@HIDDEN> <83r4j43hiz.fsf@HIDDEN>
	<87620g67df.fsf@HIDDEN> <83mwts3dm9.fsf@HIDDEN>
	<877gkwfy3j.fsf@HIDDEN> <83li9c38m7.fsf@HIDDEN>
Date: Mon, 25 Mar 2013 09:36:07 +0100
In-Reply-To: <83li9c38m7.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 24 Mar
	2013 21:23:12 +0200")
Message-ID: <8738vjri4o.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Y-GMX-Trusted: 0
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 14030
Cc: vidagabor@HIDDEN, 14030 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> The problem seems to be, that defalias is evaled during
>> byte-compilation. So I will revert the definition of
>> tramp-drop-volume-letter, that is is decided at runtime how it is
>> defined.
>
> Thanks.  It's probably best to do this on the emacs-24 branch.
>
>> What shall we do with Emacs 24.3 for MS Windows? I still believe, that
>> we must repackage it, and compile tramp.el on MS Windows.

Well. I have reverted the change of `tramp-drop-volume-letter' to the
definition as it has been before the change in #105625. Compiled
tramp.el and tramp-sh.el on GNU/Linux. Copied the resulting tramp.elc
and tramp-sh.elc into the Emacs 24.3 tree on MS Windows. The problem
persists.

I have the impression, that there is a byte-compiler optimization, which
throws away the call of `tramp-drop-volume-letter' in
`tramp-sh-handle-expand-file-name'. As I have said earlier,
(tramp-drop-volume-letter "c:/something") still works correctly.

How could I avoid this eager optimization?

> Thanks.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14030; Package emacs. Full text available.

Message received at 14030 <at> debbugs.gnu.org:


Received: (at 14030) by debbugs.gnu.org; 24 Mar 2013 19:25:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 24 15:25:28 2013
Received: from localhost ([127.0.0.1]:43661 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UJqXo-0005bt-B2
	for submit <at> debbugs.gnu.org; Sun, 24 Mar 2013 15:25:28 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:56943)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1UJqXc-0005ba-0Z
	for 14030 <at> debbugs.gnu.org; Sun, 24 Mar 2013 15:25:26 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
	a-mtaout22.012.net.il (HyperSendmail v2007.08) id
	<0MK600C00J3IR100@HIDDEN> for
	14030 <at> debbugs.gnu.org; Sun, 24 Mar 2013 21:23:05 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0MK600C88J6GEQ80@HIDDEN>;
	Sun, 24 Mar 2013 21:23:05 +0200 (IST)
Date: Sun, 24 Mar 2013 21:23:12 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14030: 24.3;
	expand-file-name expands remote file name on Windows incorrectly
In-reply-to: <877gkwfy3j.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Michael Albinus <michael.albinus@HIDDEN>
Message-id: <83li9c38m7.fsf@HIDDEN>
References: <kod0ip4jbh0m.fsf@HIDDEN> <83vc8j4e3d.fsf@HIDDEN>
	<87li9e5n66.fsf@HIDDEN> <83y5dd3lxk.fsf@HIDDEN>
	<87ehf56bmb.fsf@HIDDEN> <83r4j43hiz.fsf@HIDDEN>
	<87620g67df.fsf@HIDDEN> <83mwts3dm9.fsf@HIDDEN>
	<877gkwfy3j.fsf@HIDDEN>
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 14030
Cc: vidagabor@HIDDEN, 14030 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> From: Michael Albinus <michael.albinus@HIDDEN>
> Cc: vidagabor@HIDDEN,  14030 <at> debbugs.gnu.org
> Date: Sun, 24 Mar 2013 19:32:00 +0100
> 
> The problem seems to be, that defalias is evaled during
> byte-compilation. So I will revert the definition of
> tramp-drop-volume-letter, that is is decided at runtime how it is
> defined.

Thanks.  It's probably best to do this on the emacs-24 branch.

> What shall we do with Emacs 24.3 for MS Windows? I still believe, that
> we must repackage it, and compile tramp.el on MS Windows.

I agree (but I think it's tramp-sh.el that needs to be recompiled).
And people who build their own Emacs from sources should recompile
tramp-sh.el on Windows.

> Alternatively there could be an Emacs 24.3a with a changed tramp.el. But
> this sounds too heavy to me.

Agreed, I see no need for that.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14030; Package emacs. Full text available.

Message received at 14030 <at> debbugs.gnu.org:


Received: (at 14030) by debbugs.gnu.org; 24 Mar 2013 18:34:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 24 14:34:19 2013
Received: from localhost ([127.0.0.1]:43636 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UJpkH-0004SH-86
	for submit <at> debbugs.gnu.org; Sun, 24 Mar 2013 14:34:18 -0400
Received: from mout.gmx.net ([212.227.17.22]:58645)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <michael.albinus@HIDDEN>) id 1UJpkE-0004S9-VB
	for 14030 <at> debbugs.gnu.org; Sun, 24 Mar 2013 14:34:15 -0400
Received: from mailout-de.gmx.net ([10.1.76.28]) by mrigmx.server.lan
	(mrigmx001) with ESMTP (Nemesis) id 0MPb5D-1UNya534fh-004h2u for
	<14030 <at> debbugs.gnu.org>; Sun, 24 Mar 2013 19:32:04 +0100
Received: (qmail invoked by alias); 24 Mar 2013 18:32:02 -0000
Received: from p57BB8660.dip0.t-ipconnect.de (EHLO arthur.gmx.de)
	[87.187.134.96]
	by mail.gmx.net (mp028) with SMTP; 24 Mar 2013 19:32:02 +0100
X-Authenticated: #3708877
X-Provags-ID: V01U2FsdGVkX18KhSEZaRAK2cz0mcJVRmJphV4CwsTWLwRvNPUmlf
	06AjATndPztvWA
From: Michael Albinus <michael.albinus@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14030: 24.3;
	expand-file-name expands remote file name on Windows incorrectly
References: <kod0ip4jbh0m.fsf@HIDDEN> <83vc8j4e3d.fsf@HIDDEN>
	<87li9e5n66.fsf@HIDDEN> <83y5dd3lxk.fsf@HIDDEN>
	<87ehf56bmb.fsf@HIDDEN> <83r4j43hiz.fsf@HIDDEN>
	<87620g67df.fsf@HIDDEN> <83mwts3dm9.fsf@HIDDEN>
Date: Sun, 24 Mar 2013 19:32:00 +0100
In-Reply-To: <83mwts3dm9.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 24 Mar
	2013 19:35:10 +0200")
Message-ID: <877gkwfy3j.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Y-GMX-Trusted: 0
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: 14030
Cc: vidagabor@HIDDEN, 14030 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Michael Albinus <michael.albinus@HIDDEN>
>> Cc: vidagabor@HIDDEN,  14030 <at> debbugs.gnu.org
>> Date: Sun, 24 Mar 2013 18:21:48 +0100
>> 
>> > So, somehow, compiling tramp-sh.el on Unix replaces the call to
>> > tramp-drop-volume-letter with nothing.  Perhaps the condition, viz.
>> 
>> Yes, that is intended. tramp-drop-volume-letter is not needed on GNU/Linux.
>
> ??? But byte-compiled files are supposed to be platform-independent.
> The release tarball includes all of the *.elc files, which were
> compiled on Unix when the release was tarred, and they are not
> recompiled when Emacs is built on Windows (or on any other platform).
> Now you seem to be saying that all the *.elc files need to be compiled
> as part of the build on the target platform.  I think this isn't a
> good thing.

Yes, you are right.

>> Does this mean, this declaration requests Tramp to be compiled on MS
>> Windows?
>
> No, it means tramp-drop-volume-letter has a bug that needs to be
> fixed, IMO.

The problem seems to be, that defalias is evaled during
byte-compilation. So I will revert the definition of
tramp-drop-volume-letter, that is is decided at runtime how it is
defined.

>> We shall repackage Emacs 24.3 for MS Windows then.
>
> Lisp files are not supposed to be recompiled on the target platform.
> They are architecture-independent, and are installed in a directory
> which can be shared among different architectures.
>
> Sorry, but I think this is a grave bug.

Yes. Unfortunately, all pretests for MS Windows were compiled on MS
Windows. So this hasn't been detected earlier.

What shall we do with Emacs 24.3 for MS Windows? I still believe, that
we must repackage it, and compile tramp.el on MS Windows.

Alternatively there could be an Emacs 24.3a with a changed tramp.el. But
this sounds too heavy to me.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14030; Package emacs. Full text available.

Message received at 14030 <at> debbugs.gnu.org:


Received: (at 14030) by debbugs.gnu.org; 24 Mar 2013 17:37:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 24 13:37:26 2013
Received: from localhost ([127.0.0.1]:43625 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UJorF-0003C2-MY
	for submit <at> debbugs.gnu.org; Sun, 24 Mar 2013 13:37:25 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:65076)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1UJor3-0003Bj-6x
	for 14030 <at> debbugs.gnu.org; Sun, 24 Mar 2013 13:37:23 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
	a-mtaout22.012.net.il (HyperSendmail v2007.08) id
	<0MK600B00E3PTE00@HIDDEN> for
	14030 <at> debbugs.gnu.org; Sun, 24 Mar 2013 19:35:02 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0MK600BL1E6DAYB0@HIDDEN>;
	Sun, 24 Mar 2013 19:35:02 +0200 (IST)
Date: Sun, 24 Mar 2013 19:35:10 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14030: 24.3;
	expand-file-name expands remote file name on Windows incorrectly
In-reply-to: <87620g67df.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Michael Albinus <michael.albinus@HIDDEN>
Message-id: <83mwts3dm9.fsf@HIDDEN>
References: <kod0ip4jbh0m.fsf@HIDDEN> <83vc8j4e3d.fsf@HIDDEN>
	<87li9e5n66.fsf@HIDDEN> <83y5dd3lxk.fsf@HIDDEN>
	<87ehf56bmb.fsf@HIDDEN> <83r4j43hiz.fsf@HIDDEN>
	<87620g67df.fsf@HIDDEN>
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 14030
Cc: vidagabor@HIDDEN, 14030 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> From: Michael Albinus <michael.albinus@HIDDEN>
> Cc: vidagabor@HIDDEN,  14030 <at> debbugs.gnu.org
> Date: Sun, 24 Mar 2013 18:21:48 +0100
> 
> > So, somehow, compiling tramp-sh.el on Unix replaces the call to
> > tramp-drop-volume-letter with nothing.  Perhaps the condition, viz.
> 
> Yes, that is intended. tramp-drop-volume-letter is not needed on GNU/Linux.

??? But byte-compiled files are supposed to be platform-independent.
The release tarball includes all of the *.elc files, which were
compiled on Unix when the release was tarred, and they are not
recompiled when Emacs is built on Windows (or on any other platform).
Now you seem to be saying that all the *.elc files need to be compiled
as part of the build on the target platform.  I think this isn't a
good thing.

> Does this mean, this declaration requests Tramp to be compiled on MS
> Windows?

No, it means tramp-drop-volume-letter has a bug that needs to be
fixed, IMO.

> We shall repackage Emacs 24.3 for MS Windows then.

Lisp files are not supposed to be recompiled on the target platform.
They are architecture-independent, and are installed in a directory
which can be shared among different architectures.

Sorry, but I think this is a grave bug.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14030; Package emacs. Full text available.

Message received at 14030 <at> debbugs.gnu.org:


Received: (at 14030) by debbugs.gnu.org; 24 Mar 2013 17:24:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 24 13:24:09 2013
Received: from localhost ([127.0.0.1]:43619 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UJoeO-0002t2-E8
	for submit <at> debbugs.gnu.org; Sun, 24 Mar 2013 13:24:09 -0400
Received: from mout.gmx.net ([212.227.15.15]:59073)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <michael.albinus@HIDDEN>) id 1UJoeJ-0002sr-9A
	for 14030 <at> debbugs.gnu.org; Sun, 24 Mar 2013 13:24:04 -0400
Received: from mailout-de.gmx.net ([10.1.76.17]) by mrigmx.server.lan
	(mrigmx001) with ESMTP (Nemesis) id 0MSFoz-1U827W2T4F-00TRlk for
	<14030 <at> debbugs.gnu.org>; Sun, 24 Mar 2013 18:21:53 +0100
Received: (qmail invoked by alias); 24 Mar 2013 17:21:51 -0000
Received: from p57BB8660.dip0.t-ipconnect.de (EHLO arthur.gmx.de)
	[87.187.134.96]
	by mail.gmx.net (mp017) with SMTP; 24 Mar 2013 18:21:51 +0100
X-Authenticated: #3708877
X-Provags-ID: V01U2FsdGVkX1/CvG4JGvvCRM1TQGAgNZ3xUCttdsZMu4afFfAFEZ
	fhw3+ttOYtnbn2
From: Michael Albinus <michael.albinus@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14030: 24.3;
	expand-file-name expands remote file name on Windows incorrectly
References: <kod0ip4jbh0m.fsf@HIDDEN> <83vc8j4e3d.fsf@HIDDEN>
	<87li9e5n66.fsf@HIDDEN> <83y5dd3lxk.fsf@HIDDEN>
	<87ehf56bmb.fsf@HIDDEN> <83r4j43hiz.fsf@HIDDEN>
Date: Sun, 24 Mar 2013 18:21:48 +0100
In-Reply-To: <83r4j43hiz.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 24 Mar
	2013 18:10:44 +0200")
Message-ID: <87620g67df.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Y-GMX-Trusted: 0
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 14030
Cc: vidagabor@HIDDEN, 14030 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

Eli Zaretskii <eliz@HIDDEN> writes:

> My crystal ball says that your 24.3.50 snapshot was bootstrapped on
> MS-Windows, or at least Tramp was compiled on Windows.  See below.

In GNU Emacs 24.3.50.1 (i386-mingw-nt6.1.7600)
 of 2013-03-14 on VBOX
Bzr revision: 112044 eliz@HIDDEN
Windowing system distributor `Microsoft Corp.', version 6.1.7600
Configured using:
 `configure --with-gcc (4.7) --no-opt --enable-checking --cflags
 -IC:/emacs/libs/libXpm-3.5.10/include -IC:/emacs/libs/libXpm-3.5.10/src
 -IC:/emacs/libs/libpng-dev_1.4.3-1_win32/include
 -IC:/emacs/libs/zlib-dev_1.2.5-2_win32/include
 -IC:/emacs/libs/giflib-4.1.4-1-lib/include
 -IC:/emacs/libs/jpeg-6b-4-lib/include
 -IC:/emacs/libs/tiff-3.8.2-1-lib/include
 -IC:/emacs/libs/libxml2-2.7.8-w32-bin/include/libxml2
 -IC:/emacs/libs/gnutls-3.1.8-w32/include
 -IC:/emacs/libs/libiconv-1.14-2-mingw32-dev/include'

> So, somehow, compiling tramp-sh.el on Unix replaces the call to
> tramp-drop-volume-letter with nothing.  Perhaps the condition, viz.

Yes, that is intended. tramp-drop-volume-letter is not needed on GNU/Linux.

>   (defalias 'tramp-drop-volume-letter
>     (if (memq system-type '(cygwin windows-nt))  <<<<<<<<<<<<<<<<<<<
> 	(lambda (name)
> 	  "Cut off unnecessary drive letter from file NAME.
>   The functions `tramp-*-handle-expand-file-name' call `expand-file-name'
>   locally on a remote file name.  When the local system is a W32 system
>   but the remote system is Unix, this introduces a superfluous drive
>   letter into the file name.  This function removes it."
> 	  (save-match-data
> 	    (if (string-match "\\`[a-zA-Z]:/" name)
> 		(replace-match "/" nil t name)
> 	      name)))
>
>       'identity))
>
> is expanded at byte-compile time, instead of at run time?

Looks like this, yes.

> And I guess whatever has this effect was introduced between the
> release of 24.2 and 24.3 (which was the trunk until 24.2 release).

Yes, it was changed in bzr commit #105625.

Does this mean, this declaration requests Tramp to be compiled on MS
Windows?  I have used the official distribution from
<http://ftp.gnu.org/gnu/emacs/windows/>. It reports

In GNU Emacs 24.3.1 (i386-mingw-nt6.1.7600)
 of 2013-03-17 on MARVIN
Windowing system distributor `Microsoft Corp.', version 6.1.7600
Configured using:
 `configure --with-gcc (4.7) --cflags
 -ID:/devel/emacs/libs/libXpm-3.5.8/include
 -ID:/devel/emacs/libs/libXpm-3.5.8/src
 -ID:/devel/emacs/libs/libpng-dev_1.4.3-1/include
 -ID:/devel/emacs/libs/zlib-dev_1.2.5-2/include
 -ID:/devel/emacs/libs/giflib-4.1.4-1/include
 -ID:/devel/emacs/libs/jpeg-6b-4/include
 -ID:/devel/emacs/libs/tiff-3.8.2-1/include
 -ID:/devel/emacs/libs/gnutls-3.0.9/include
 -ID:/devel/emacs/libs/libiconv-1.13.1-1-dev/include
 -ID:/devel/emacs/libs/libxml2-2.7.8/include/libxml2'

We shall repackage Emacs 24.3 for MS Windows then. Other packages might
suffer from the same problem.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14030; Package emacs. Full text available.

Message received at 14030 <at> debbugs.gnu.org:


Received: (at 14030) by debbugs.gnu.org; 24 Mar 2013 16:13:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 24 12:13:39 2013
Received: from localhost ([127.0.0.1]:43596 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UJnY9-0001HA-Qc
	for submit <at> debbugs.gnu.org; Sun, 24 Mar 2013 12:13:38 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:59167)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1UJnY6-0001H1-8D
	for 14030 <at> debbugs.gnu.org; Sun, 24 Mar 2013 12:13:35 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
	a-mtaout20.012.net.il (HyperSendmail v2007.08) id
	<0MK600M00A5U4900@HIDDEN> for
	14030 <at> debbugs.gnu.org; Sun, 24 Mar 2013 18:11:25 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0MK600LTGAB0CCE0@HIDDEN>;
	Sun, 24 Mar 2013 18:11:24 +0200 (IST)
Date: Sun, 24 Mar 2013 18:11:32 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14030: 24.3;
	expand-file-name expands remote file name on Windows incorrectly
In-reply-to: <kod0ip4jbh0m.fsf@HIDDEN>
To: Vida =?utf-8?Q?G=C3=A1bor?= <vidagabor@HIDDEN>
Message-id: <83ppyo3hhn.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-transfer-encoding: QUOTED-PRINTABLE
X-012-Sender: halo1@HIDDEN
References: <kod0ip4jbh0m.fsf@HIDDEN>
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 14030
Cc: 14030 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> Date: Fri, 22 Mar 2013 16:17:45 +0100
> From: Vida G=C3=A1bor <vidagabor@HIDDEN>
>=20
> Emacs 24.2 on Windows doesn't expand remote file names:
>=20
>   (expand-file-name "/ssh:user@host:/")
>   "/ssh:user@host:/"
>=20
> While Emacs 24.3.1 does:
>=20
> (expand-file-name "/ssh:user@host:/")
> "/ssh:user@host:c:/"
>=20
> And this makes Tramp to fail (it can't find proper ls command, but
> that's a side effect).
>=20
> It's probably affects only the Windows build, because cygwin build =
of
> emacs 24.3.1 doesn't produce the same fault.

As a work-around, byte-compile tramp-sh.el on Windows, and the proble=
m
will disappear.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14030; Package emacs. Full text available.

Message received at 14030 <at> debbugs.gnu.org:


Received: (at 14030) by debbugs.gnu.org; 24 Mar 2013 16:12:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 24 12:12:49 2013
Received: from localhost ([127.0.0.1]:43592 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UJnXM-0001Fn-Jw
	for submit <at> debbugs.gnu.org; Sun, 24 Mar 2013 12:12:49 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:44008)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1UJnXK-0001Ff-8X
	for 14030 <at> debbugs.gnu.org; Sun, 24 Mar 2013 12:12:47 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
	a-mtaout22.012.net.il (HyperSendmail v2007.08) id
	<0MK600A00A54Z300@HIDDEN> for
	14030 <at> debbugs.gnu.org; Sun, 24 Mar 2013 18:10:36 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0MK600A7ZA9OG3C0@HIDDEN>;
	Sun, 24 Mar 2013 18:10:36 +0200 (IST)
Date: Sun, 24 Mar 2013 18:10:44 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14030: 24.3;
	expand-file-name expands remote file name on Windows incorrectly
In-reply-to: <87ehf56bmb.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Michael Albinus <michael.albinus@HIDDEN>
Message-id: <83r4j43hiz.fsf@HIDDEN>
References: <kod0ip4jbh0m.fsf@HIDDEN> <83vc8j4e3d.fsf@HIDDEN>
	<87li9e5n66.fsf@HIDDEN> <83y5dd3lxk.fsf@HIDDEN>
	<87ehf56bmb.fsf@HIDDEN>
X-Spam-Score: -1.2 (-)
X-Debbugs-Envelope-To: 14030
Cc: vidagabor@HIDDEN, 14030 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> From: Michael Albinus <michael.albinus@HIDDEN>
> Cc: vidagabor@HIDDEN,  14030 <at> debbugs.gnu.org
> Date: Sat, 23 Mar 2013 22:37:48 +0100
> 
> >>       (let ((directory-sep-char ?/)
> >> 	    (default-directory (tramp-compat-temporary-file-directory)))
> >> 	(tramp-make-tramp-file-name
> >> 	 method user host
> >> 	 (tramp-drop-volume-letter
> >> 	  (tramp-run-real-handler
> >> 	   'expand-file-name (list localname)))
> >> 	 hop)))))
> >> 
> >> In Emacs 24.3, `tramp-drop-volume-letter' is not executed:
> >> 
> >> | | | | 5 -> tramp-run-real-handler: operation=expand-file-name
> >> | | | | args=("/root/")
> >> | | | | 5 <- tramp-run-real-handler: "c:/root/"
> >> | | | | 5 -> tramp-make-tramp-file-name: method="plink" user=nil
> >> | | | | host="ford" localname="c:/root/" hop=nil
> >> | | | | 5 <- tramp-make-tramp-file-name: "/plink:ford:c:/root/"
> >> 
> >> When I use Emacs 24.3.50, the latest snapshot, that function is
> >> executed:
> >> 
> >> | | | | 5 -> (tramp-run-real-handler expand-file-name ("/root/"))
> >> | | | | 5 <- tramp-run-real-handler: "c:/root/"
> >> | | | | 5 -> (tramp-drop-volume-letter "c:/root/")
> >> | | | | 5 <- tramp-drop-volume-letter: "/root/"
> >> | | | | 5 -> (tramp-make-tramp-file-name "plink" nil "ford" "/root/" nil)
> >> | | | | 5 <- tramp-make-tramp-file-name: "/plink:ford:/root/"
> >> 
> >> I have no idea, what prevents `tramp-drop-volume-letter' to be called.

My crystal ball says that your 24.3.50 snapshot was bootstrapped on
MS-Windows, or at least Tramp was compiled on Windows.  See below.

> > Or maybe it somehow takes the 'identity route?
> 
> No.
> 
> (tramp-drop-volume-letter "c:/root/")
>   => "/root/"

That's not the same, because the call to tramp-drop-volume-letter in
tramp-sh-handle-expand-file-name could still be expanded to 'identity'
(= nothing) by the byte compiler when tramp-sh.elc was compiled.  And
indeed, disassembling tramp-sh-handle-expand-file-name from
tramp-sh.elc provided in the Emacs 24.3 tarball shows this:

  336	varbind	  default-directory
  337	varbind	  directory-sep-char
  339	constant  tramp-make-tramp-file-name
  340	varref	  method
  341	varref	  user
  342	varref	  host
  344	constant  tramp-run-real-handler
  345	constant  expand-file-name
  346	varref	  localname
  348	list1	  
  349	call	  2
  350	varref	  hop
  352	call	  5
  353	unbind	  8
  355	return	  

"Look, ma: no tramp-drop-volume-letter!"

If I now byte-compile tramp-sh.el on MS-Windows, I get this
disassembly:

  336	varbind	  default-directory
  337	varbind	  directory-sep-char
  339	constant  tramp-make-tramp-file-name
  340	varref	  method
  341	varref	  user
  342	varref	  host
  344	constant  tramp-drop-volume-letter  <<<<<<<<<<<<<<<<<<<<<<<<
  345	constant  tramp-run-real-handler
  346	constant  expand-file-name
  347	varref	  localname
  349	list1	  
  350	call	  2
  351	call	  1
  352	varref	  hop
  354	call	  5
  355	unbind	  8
  357	return	  

(And, btw, the .elc file I get is 50KB smaller than the one in the
tarball -- why?)

If I compile tramp-sh.el on GNU/Linux with the latest trunk, I still
don't see tramp-drop-volume-letter in the disassembly of
tramp-sh-handle-expand-file-name.  So the problem is still there in
the current trunk.  By contrast, if I compile tramp-sh.el with Emacs
24.2, I do see the call to tramp-drop-volume-letter in the
disassembly.

So, somehow, compiling tramp-sh.el on Unix replaces the call to
tramp-drop-volume-letter with nothing.  Perhaps the condition, viz.

  (defalias 'tramp-drop-volume-letter
    (if (memq system-type '(cygwin windows-nt))  <<<<<<<<<<<<<<<<<<<
	(lambda (name)
	  "Cut off unnecessary drive letter from file NAME.
  The functions `tramp-*-handle-expand-file-name' call `expand-file-name'
  locally on a remote file name.  When the local system is a W32 system
  but the remote system is Unix, this introduces a superfluous drive
  letter into the file name.  This function removes it."
	  (save-match-data
	    (if (string-match "\\`[a-zA-Z]:/" name)
		(replace-match "/" nil t name)
	      name)))

      'identity))

is expanded at byte-compile time, instead of at run time?

And I guess whatever has this effect was introduced between the
release of 24.2 and 24.3 (which was the trunk until 24.2 release).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14030; Package emacs. Full text available.

Message received at 14030 <at> debbugs.gnu.org:


Received: (at 14030) by debbugs.gnu.org; 23 Mar 2013 21:40:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 23 17:40:01 2013
Received: from localhost ([127.0.0.1]:42565 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UJWAS-0006s9-U0
	for submit <at> debbugs.gnu.org; Sat, 23 Mar 2013 17:40:01 -0400
Received: from mout.gmx.net ([212.227.17.20]:50747)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <michael.albinus@HIDDEN>) id 1UJWAQ-0006s2-MQ
	for 14030 <at> debbugs.gnu.org; Sat, 23 Mar 2013 17:40:00 -0400
Received: from mailout-de.gmx.net ([10.1.76.16]) by mrigmx.server.lan
	(mrigmx001) with ESMTP (Nemesis) id 0LgbkJ-1V5DLI1D6L-00ny30 for
	<14030 <at> debbugs.gnu.org>; Sat, 23 Mar 2013 22:37:53 +0100
Received: (qmail invoked by alias); 23 Mar 2013 21:37:52 -0000
Received: from p57BB8044.dip0.t-ipconnect.de (EHLO arthur.gmx.de)
	[87.187.128.68]
	by mail.gmx.net (mp016) with SMTP; 23 Mar 2013 22:37:52 +0100
X-Authenticated: #3708877
X-Provags-ID: V01U2FsdGVkX18yxZ9FT4QyeZce5Jc1cSluKpO00N6UzQvcwPWy+D
	Nfy+fg3HpDOopJ
From: Michael Albinus <michael.albinus@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14030: 24.3;
	expand-file-name expands remote file name on Windows incorrectly
References: <kod0ip4jbh0m.fsf@HIDDEN> <83vc8j4e3d.fsf@HIDDEN>
	<87li9e5n66.fsf@HIDDEN> <83y5dd3lxk.fsf@HIDDEN>
Date: Sat, 23 Mar 2013 22:37:48 +0100
In-Reply-To: <83y5dd3lxk.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 23 Mar
	2013 22:23:19 +0200")
Message-ID: <87ehf56bmb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Y-GMX-Trusted: 0
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 14030
Cc: vidagabor@HIDDEN, 14030 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Michael Albinus <michael.albinus@HIDDEN>
>> Cc: Vida G=C3=A1bor <vidagabor@HIDDEN>,
>>   14030 <at> debbugs.gnu.org
>> Date: Sat, 23 Mar 2013 13:13:37 +0100
>>=20
>> This is competely strange. In `tramp-sh-handle-expand-file-name', there
>> is the following code at the very end:
>>=20
>>       (let ((directory-sep-char ?/)
>> 	    (default-directory (tramp-compat-temporary-file-directory)))
>> 	(tramp-make-tramp-file-name
>> 	 method user host
>> 	 (tramp-drop-volume-letter
>> 	  (tramp-run-real-handler
>> 	   'expand-file-name (list localname)))
>> 	 hop)))))
>>=20
>> In Emacs 24.3, `tramp-drop-volume-letter' is not executed:
>>=20
>> | | | | 5 -> tramp-run-real-handler: operation=3Dexpand-file-name
>> | | | | args=3D("/root/")
>> | | | | 5 <- tramp-run-real-handler: "c:/root/"
>> | | | | 5 -> tramp-make-tramp-file-name: method=3D"plink" user=3Dnil
>> | | | | host=3D"ford" localname=3D"c:/root/" hop=3Dnil
>> | | | | 5 <- tramp-make-tramp-file-name: "/plink:ford:c:/root/"
>>=20
>> When I use Emacs 24.3.50, the latest snapshot, that function is
>> executed:
>>=20
>> | | | | 5 -> (tramp-run-real-handler expand-file-name ("/root/"))
>> | | | | 5 <- tramp-run-real-handler: "c:/root/"
>> | | | | 5 -> (tramp-drop-volume-letter "c:/root/")
>> | | | | 5 <- tramp-drop-volume-letter: "/root/"
>> | | | | 5 -> (tramp-make-tramp-file-name "plink" nil "ford" "/root/" nil)
>> | | | | 5 <- tramp-make-tramp-file-name: "/plink:ford:/root/"
>>=20
>> I have no idea, what prevents `tramp-drop-volume-letter' to be called.
>
> Since tramp-drop-volume-letter is not a function, it's a defalias, so
> maybe it somehow doesn't get registered in the trace?

But it is visible in the traces of Emacs 24.3.50.

> Or maybe it somehow takes the 'identity route?

No.

(tramp-drop-volume-letter "c:/root/")
  =3D> "/root/"

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14030; Package emacs. Full text available.

Message received at 14030 <at> debbugs.gnu.org:


Received: (at 14030) by debbugs.gnu.org; 23 Mar 2013 20:25:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 23 16:25:23 2013
Received: from localhost ([127.0.0.1]:42548 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UJV0E-0004ol-Tl
	for submit <at> debbugs.gnu.org; Sat, 23 Mar 2013 16:25:23 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:47633)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1UJV0B-0004oY-W8
	for 14030 <at> debbugs.gnu.org; Sat, 23 Mar 2013 16:25:21 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
	a-mtaout20.012.net.il (HyperSendmail v2007.08) id
	<0MK400900R6TGI00@HIDDEN> for
	14030 <at> debbugs.gnu.org; Sat, 23 Mar 2013 22:23:14 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0MK4009AXRAQDD30@HIDDEN>;
	Sat, 23 Mar 2013 22:23:14 +0200 (IST)
Date: Sat, 23 Mar 2013 22:23:19 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14030: 24.3;
	expand-file-name expands remote file name on Windows incorrectly
In-reply-to: <87li9e5n66.fsf@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Message-id: <83y5dd3lxk.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=iso-8859-1
Content-transfer-encoding: QUOTED-PRINTABLE
X-012-Sender: halo1@HIDDEN
References: <kod0ip4jbh0m.fsf@HIDDEN> <83vc8j4e3d.fsf@HIDDEN>
	<87li9e5n66.fsf@HIDDEN>
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 14030
Cc: vidagabor@HIDDEN, 14030 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> From: Michael Albinus <michael.albinus@HIDDEN>
> Cc: Vida G=E1bor <vidagabor@HIDDEN>,
>   14030 <at> debbugs.gnu.org
> Date: Sat, 23 Mar 2013 13:13:37 +0100
>=20
> This is competely strange. In `tramp-sh-handle-expand-file-name', t=
here
> is the following code at the very end:
>=20
>       (let ((directory-sep-char ?/)
> =09    (default-directory (tramp-compat-temporary-file-directory)))
> =09(tramp-make-tramp-file-name
> =09 method user host
> =09 (tramp-drop-volume-letter
> =09  (tramp-run-real-handler
> =09   'expand-file-name (list localname)))
> =09 hop)))))
>=20
> In Emacs 24.3, `tramp-drop-volume-letter' is not executed:
>=20
> | | | | 5 -> tramp-run-real-handler: operation=3Dexpand-file-name a=
rgs=3D("/root/")
> | | | | 5 <- tramp-run-real-handler: "c:/root/"
> | | | | 5 -> tramp-make-tramp-file-name: method=3D"plink" user=3Dni=
l host=3D"ford" localname=3D"c:/root/" hop=3Dnil
> | | | | 5 <- tramp-make-tramp-file-name: "/plink:ford:c:/root/"
>=20
> When I use Emacs 24.3.50, the latest snapshot, that function is
> executed:
>=20
> | | | | 5 -> (tramp-run-real-handler expand-file-name ("/root/"))
> | | | | 5 <- tramp-run-real-handler: "c:/root/"
> | | | | 5 -> (tramp-drop-volume-letter "c:/root/")
> | | | | 5 <- tramp-drop-volume-letter: "/root/"
> | | | | 5 -> (tramp-make-tramp-file-name "plink" nil "ford" "/root/=
" nil)
> | | | | 5 <- tramp-make-tramp-file-name: "/plink:ford:/root/"
>=20
> I have no idea, what prevents `tramp-drop-volume-letter' to be call=
ed.

Since tramp-drop-volume-letter is not a function, it's a defalias, so
maybe it somehow doesn't get registered in the trace?

Or maybe it somehow takes the 'identity route?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14030; Package emacs. Full text available.

Message received at 14030 <at> debbugs.gnu.org:


Received: (at 14030) by debbugs.gnu.org; 23 Mar 2013 12:15:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 23 08:15:49 2013
Received: from localhost ([127.0.0.1]:41737 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UJNMT-0000lK-7B
	for submit <at> debbugs.gnu.org; Sat, 23 Mar 2013 08:15:49 -0400
Received: from mout.gmx.net ([212.227.17.22]:61732)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <michael.albinus@HIDDEN>) id 1UJNMQ-0000lD-9I
	for 14030 <at> debbugs.gnu.org; Sat, 23 Mar 2013 08:15:47 -0400
Received: from mailout-de.gmx.net ([10.1.76.20]) by mrigmx.server.lan
	(mrigmx002) with ESMTP (Nemesis) id 0Mee5m-1U41Ed3K8m-00OEEg for
	<14030 <at> debbugs.gnu.org>; Sat, 23 Mar 2013 13:13:43 +0100
Received: (qmail invoked by alias); 23 Mar 2013 12:13:42 -0000
Received: from p57BB8044.dip0.t-ipconnect.de (EHLO arthur.gmx.de)
	[87.187.128.68]
	by mail.gmx.net (mp020) with SMTP; 23 Mar 2013 13:13:42 +0100
X-Authenticated: #3708877
X-Provags-ID: V01U2FsdGVkX19o871PTW9oh8t5+D1orMcaNftop3wMTwMBjv5IHi
	zWpHEww73/Uf9L
From: Michael Albinus <michael.albinus@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14030: 24.3;
	expand-file-name expands remote file name on Windows incorrectly
References: <kod0ip4jbh0m.fsf@HIDDEN> <83vc8j4e3d.fsf@HIDDEN>
Date: Sat, 23 Mar 2013 13:13:37 +0100
In-Reply-To: <83vc8j4e3d.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 22 Mar
	2013 18:02:46 +0200")
Message-ID: <87li9e5n66.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Y-GMX-Trusted: 0
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 14030
Cc: Vida =?utf-8?Q?G=C3=A1bor?= <vidagabor@HIDDEN>, 14030 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

Eli Zaretskii <eliz@HIDDEN> writes:

> This is due to some change in Tramp, specifically in
> tramp-sh-file-name-handler: it returned "/ssh:user@host:/" in 24.2,
> but "/ssh:user@host:c:/" in 24.3.  Michael, could you please take a
> look?

This is competely strange. In `tramp-sh-handle-expand-file-name', there
is the following code at the very end:

      (let ((directory-sep-char ?/)
	    (default-directory (tramp-compat-temporary-file-directory)))
	(tramp-make-tramp-file-name
	 method user host
	 (tramp-drop-volume-letter
	  (tramp-run-real-handler
	   'expand-file-name (list localname)))
	 hop)))))

In Emacs 24.3, `tramp-drop-volume-letter' is not executed:

| | | | 5 -> tramp-run-real-handler: operation=expand-file-name args=("/root/")
| | | | 5 <- tramp-run-real-handler: "c:/root/"
| | | | 5 -> tramp-make-tramp-file-name: method="plink" user=nil host="ford" localname="c:/root/" hop=nil
| | | | 5 <- tramp-make-tramp-file-name: "/plink:ford:c:/root/"

When I use Emacs 24.3.50, the latest snapshot, that function is
executed:

| | | | 5 -> (tramp-run-real-handler expand-file-name ("/root/"))
| | | | 5 <- tramp-run-real-handler: "c:/root/"
| | | | 5 -> (tramp-drop-volume-letter "c:/root/")
| | | | 5 <- tramp-drop-volume-letter: "/root/"
| | | | 5 -> (tramp-make-tramp-file-name "plink" nil "ford" "/root/" nil)
| | | | 5 <- tramp-make-tramp-file-name: "/plink:ford:/root/"

I have no idea, what prevents `tramp-drop-volume-letter' to be called.
If you want to reproduce my test, I have setup the traces like this:

(require 'tramp)
(require 'trace)
(dolist (elt (all-completions "tramp-" obarray 'functionp))
  (trace-function-background (intern elt)))

(expand-file-name "/plink:ford:")

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14030; Package emacs. Full text available.

Message received at 14030 <at> debbugs.gnu.org:


Received: (at 14030) by debbugs.gnu.org; 22 Mar 2013 16:04:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 22 12:04:47 2013
Received: from localhost ([127.0.0.1]:41090 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UJ4SU-0004z5-Mm
	for submit <at> debbugs.gnu.org; Fri, 22 Mar 2013 12:04:47 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:41899)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1UJ4SR-0004yw-Gn
	for 14030 <at> debbugs.gnu.org; Fri, 22 Mar 2013 12:04:45 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
	a-mtaout22.012.net.il (HyperSendmail v2007.08) id
	<0MK200600KJHXZ00@HIDDEN> for
	14030 <at> debbugs.gnu.org; Fri, 22 Mar 2013 18:02:44 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0MK2006IKKKKUL20@HIDDEN>;
	Fri, 22 Mar 2013 18:02:44 +0200 (IST)
Date: Fri, 22 Mar 2013 18:02:46 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14030: 24.3;
	expand-file-name expands remote file name on Windows incorrectly
In-reply-to: <kod0ip4jbh0m.fsf@HIDDEN>
To: Vida =?utf-8?Q?G=C3=A1bor?= <vidagabor@HIDDEN>,
	Michael Albinus <michael.albinus@HIDDEN>
Message-id: <83vc8j4e3d.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-transfer-encoding: QUOTED-PRINTABLE
X-012-Sender: halo1@HIDDEN
References: <kod0ip4jbh0m.fsf@HIDDEN>
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > Date: Fri, 22 Mar 2013 16:17:45 +0100 > From: Vida Gábor
    <vidagabor@HIDDEN> > > Emacs 24.2 on Windows doesn't expand remote file
    names: > > (expand-file-name "/ssh:user@host:/") > "/ssh:user@host:/" > >
    While Emacs 24.3.1 does: > > (expand-file-name "/ssh:user@host:/") > "/ssh:user@host:c:/"
    > > And this makes Tramp to fail (it can't find proper ls command, but >
   that's a side effect). [...] 
 
 Content analysis details:   (1.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [80.179.55.172 listed in list.dnswl.org]
  0.7 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
  0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
                             [score: 0.4741]
X-Debbugs-Envelope-To: 14030
Cc: 14030 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.7 (/)

> Date: Fri, 22 Mar 2013 16:17:45 +0100
> From: Vida G=C3=A1bor <vidagabor@HIDDEN>
>=20
> Emacs 24.2 on Windows doesn't expand remote file names:
>=20
>   (expand-file-name "/ssh:user@host:/")
>   "/ssh:user@host:/"
>=20
> While Emacs 24.3.1 does:
>=20
> (expand-file-name "/ssh:user@host:/")
> "/ssh:user@host:c:/"
>=20
> And this makes Tramp to fail (it can't find proper ls command, but
> that's a side effect).

This is due to some change in Tramp, specifically in
tramp-sh-file-name-handler: it returned "/ssh:user@host:/" in 24.2,
but "/ssh:user@host:c:/" in 24.3.  Michael, could you please take a
look?

> I start Emacs from a Cygwin terminal (but not the Cygwin version of
> Emacs). Just for your information.

I can easily reproduce this from the cmd window as well.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14030; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Mar 2013 15:20:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 22 11:20:19 2013
Received: from localhost ([127.0.0.1]:41039 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UJ3lT-0003vv-9N
	for submit <at> debbugs.gnu.org; Fri, 22 Mar 2013 11:20:19 -0400
Received: from eggs.gnu.org ([208.118.235.92]:41742)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <vidagabor@HIDDEN>) id 1UJ3lR-0003vj-7Z
	for submit <at> debbugs.gnu.org; Fri, 22 Mar 2013 11:20:18 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <vidagabor@HIDDEN>) id 1UJ3jQ-0002fK-6E
	for submit <at> debbugs.gnu.org; Fri, 22 Mar 2013 11:18:15 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_NONE autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:40782)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <vidagabor@HIDDEN>) id 1UJ3jQ-0002fF-41
	for submit <at> debbugs.gnu.org; Fri, 22 Mar 2013 11:18:12 -0400
Received: from eggs.gnu.org ([208.118.235.92]:53072)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <vidagabor@HIDDEN>) id 1UJ3jM-00026B-UG
	for bug-gnu-emacs@HIDDEN; Fri, 22 Mar 2013 11:18:12 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <vidagabor@HIDDEN>) id 1UJ3jJ-0002dt-Pc
	for bug-gnu-emacs@HIDDEN; Fri, 22 Mar 2013 11:18:08 -0400
Received: from a.relay.invitel.net ([62.77.203.3]:43070)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <vidagabor@HIDDEN>) id 1UJ3jJ-0002dW-Gz
	for bug-gnu-emacs@HIDDEN; Fri, 22 Mar 2013 11:18:05 -0400
Received: from mail.invitel.hu (mail.invitel.hu [213.163.59.4])
	by a.relay.invitel.net (Invitel Core SMTP Transmitter) with ESMTP id
	5222811A146
	for <bug-gnu-emacs@HIDDEN>; Fri, 22 Mar 2013 16:18:03 +0100 (CET)
Received: from nedu.dyndns.org ([91.82.33.132])
	by mail.invitel.hu (Invitel Messaging Server)
	with ESMTPA id <0MK200AJZII2SI70@HIDDEN> for bug-gnu-emacs@HIDDEN;
	Fri, 22 Mar 2013 16:18:03 +0100 (CET)
Received: from E7101F74538EB3 (localhost [127.0.0.1])
	by nedu.dyndns.org (Postfix) with ESMTP id 2DD76B86E	for
	<bug-gnu-emacs@HIDDEN>; Fri, 22 Mar 2013 16:18:02 +0100 (CET)
Date: Fri, 22 Mar 2013 16:17:45 +0100
From: =?utf-8?Q?Vida_G=C3=A1bor?= <vidagabor@HIDDEN>
Subject: 24.3; expand-file-name expands remote file name on Windows incorrectly
To: bug-gnu-emacs@HIDDEN
Message-id: <kod0ip4jbh0m.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-transfer-encoding: quoted-printable
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2 (windows-nt)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -6.1 (------)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.1 (------)

Hi!

Emacs 24.2 on Windows doesn't expand remote file names:

  (expand-file-name "/ssh:user@host:/")
  "/ssh:user@host:/"

While Emacs 24.3.1 does:

(expand-file-name "/ssh:user@host:/")
"/ssh:user@host:c:/"

And this makes Tramp to fail (it can't find proper ls command, but
that's a side effect).

It's probably affects only the Windows build, because cygwin build of
emacs 24.3.1 doesn't produce the same fault.

I start Emacs from a Cygwin terminal (but not the Cygwin version of
Emacs). Just for your information.

--=20
Best regards,
G=C3=A1bor

This bug report will be sent to the Bug-GNU-Emacs mailing list
and the GNU bug tracker at debbugs.gnu.org.  Please check that
the From: line contains a valid email address.  After a delay of up
to one day, you should receive an acknowledgment at that address.

Please write in English if possible, as the Emacs maintainers
usually do not have translators for other languages.

Please describe exactly what actions triggered the bug, and
the precise symptoms of the bug.  If you can, give a recipe
starting from `emacs -Q':



If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
For information about debugging Emacs, please read the file
c:/Users/evidgbo/Desktop/PROGS/installed/emacs-24.3/etc/DEBUG.


In GNU Emacs 24.3.1 (i386-mingw-nt6.1.7601)
 of 2013-03-17 on MARVIN
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --with-gcc (4.7) --cflags
 -ID:/devel/emacs/libs/libXpm-3.5.8/include
 -ID:/devel/emacs/libs/libXpm-3.5.8/src
 -ID:/devel/emacs/libs/libpng-dev_1.4.3-1/include
 -ID:/devel/emacs/libs/zlib-dev_1.2.5-2/include
 -ID:/devel/emacs/libs/giflib-4.1.4-1/include
 -ID:/devel/emacs/libs/jpeg-6b-4/include
 -ID:/devel/emacs/libs/tiff-3.8.2-1/include
 -ID:/devel/emacs/libs/gnutls-3.0.9/include
 -ID:/devel/emacs/libs/libiconv-1.13.1-1-dev/include
 -ID:/devel/emacs/libs/libxml2-2.7.8/include/libxml2'

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: cp1252
  default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  shell-dirtrack-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-x b * s c <tab> <return> C-y C-x C-e C-j C-p C-p=20
C-SPC C-n C-n M-w M-x r e p o r t - e m a c s - b <tab>=20
RET

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Mark set
"/ssh:user@host:c:/"
Mark activated

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rfc822 mml easymenu mml-sec
mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
mailheader sendmail rfc2047 rfc2045 ietf-drums mail-utils tramp-sh tramp
tramp-compat auth-source eieio byte-opt bytecomp byte-compile cconv
gnus-util mm-util mail-prsvr password-cache tramp-loaddefs shell
pcomplete comint ansi-color ring format-spec advice help-fns cl-lib
advice-preload time-date tooltip ediff-hook vc-hooks lisp-float-type
mwheel dos-w32 ls-lisp w32-common-fns disp-table w32-win w32-vars
tool-bar dnd fontset image regexp-opt fringe tabulated-list newcomment
lisp-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer loaddefs button faces cus-face macroexp files text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process w32 multi-tty
emacs)




Acknowledgement sent to Vida Gábor <vidagabor@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#14030; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.